using System;
using System.Data.Common;

namespace EasyDevCore.Database
{
    /// <summary>
    /// 
    /// </summary>
    [Serializable]
    public class ConcurrencyException : DbException
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ConcurrencyException"/> class.
        /// </summary>
        /// <column name="message">The message.</column>
        public ConcurrencyException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ConcurrencyException"/> class.
        /// </summary>
        /// <column name="message">The message.</column>
        /// <column name="innerException">The inner exception.</column>
        public ConcurrencyException(string message, Exception innerException)
            : base(message, innerException)
        {
        }
    }
}
